import bb.cascades 1.3

Container {
    id: changelogContainer
    property alias changelogText: changelogLabel.text
    signal changelogDone(variant thisContainer)
    
    layout: DockLayout {}
    background: Color.Black
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    topPadding: ui.du(10)
    bottomPadding: topPadding
    leftPadding: topPadding
    rightPadding: topPadding

    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        background: backgroundImage.imagePaint
        attachedObjects: [
            ImagePaintDefinition {
                id: backgroundImage
                repeatPattern: RepeatPattern.XY
                imageSource: "asset:///images/appIcon_faded.amd"
            }
        ]
        
        ScrollView {
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            Container {
                Label {
                    id: changelogLabel
                    multiline: true
                    horizontalAlignment: HorizontalAlignment.Center
                }
                /*
                Button {
                    text: qsTr("Get PocketSafe for FREE!!!")
                    imageSource: "asset:///images/PocketSafe.png"
                    horizontalAlignment: HorizontalAlignment.Center
                    onClicked: {
                        _app.getPocketSafeForFree()
                    }
                }
                Label {}
                Button {
                    text: qsTr("Get ProtectMe for FREE!!!")
                    imageSource: "asset:///images/ProtectMe.png"
                    horizontalAlignment: HorizontalAlignment.Center
                    onClicked: {
                        _app.getProtectMeForFree()
                    }
                }
                Label {}
                */
                Button {
                    text: qsTr("Ok")
                    horizontalAlignment: HorizontalAlignment.Center
                    onClicked: {
                        changelogDone(changelogContainer)
                    }
                }
            }
        }
    }
}
