import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center

    Label {
        text: "This app is supported by your donation, by clicking on the Donate button, you'll be redirected to my PayPal donation account."
        multiline: true
        textStyle.textAlign: TextAlign.Justify
        textStyle.fontSize: FontSize.Medium
        horizontalAlignment: HorizontalAlignment.Center
    }
    ImageView {
        imageSource: "asset:///images/paypal.png"
        scalingMethod: ScalingMethod.AspectFit
        maxWidth: _ui.du(50)
        horizontalAlignment: HorizontalAlignment.Center
        gestureHandlers: [
            TapHandler {
                onTapped: { 
                    donateInvocation.query.invokeActionId = "bb.action.OPEN"
                    donateInvocation.query.invokeTargetId = "sys.browser"
                    donateInvocation.query.uri = "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=SPVU4HNBUJBH2"
                    donateInvocation.query.updateQuery()
                }
            }
        ]
        attachedObjects: [
            Invocation {
                id: donateInvocation
                onArmed: { trigger(query.invokeActionId) }
            }
        ]
    }
}