import bb.cascades 1.2

Container {
    property string language
    property bool languageEnabled
    
    onLanguageChanged: {
        language = language.replace("_", " ")
    }
    
    topPadding: _ui.du(2)
    horizontalAlignment: HorizontalAlignment.Right
    layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
    Label {
        text: language
    }
    CheckBox {
        checked: (touchKeyboard.listOfKeyboardsEnabled.indexOf(language.replace(" ", "_")) >= 0)
        onCheckedChanged: {
            var tempArray = new Array();
            var iterator = 0
            var languageToAddOrRemove = language.replace(" ", "_")
            console.log(touchKeyboard.listOfKeyboardsEnabled)
            if (checked) {
                if (touchKeyboard.listOfKeyboardsEnabled.indexOf(languageToAddOrRemove) < 0) {
                    console.log("Trying to add")
                    touchKeyboard.listOfKeyboardsEnabled = _app.addOrRemoveToListOfKeyboardsEnabled(languageToAddOrRemove, touchKeyboard.listOfKeyboardsEnabled, true)
                }
            } else {
                if (touchKeyboard.listOfKeyboardsEnabled.indexOf(languageToAddOrRemove) >= 0) {
                    console.log("Trying to remove")
                    touchKeyboard.listOfKeyboardsEnabled = _app.addOrRemoveToListOfKeyboardsEnabled(languageToAddOrRemove, touchKeyboard.listOfKeyboardsEnabled, false)
                }
            }
            console.log("EmptyCheckBox: touchKeyboard.listOfKeyboardsEnabled: " + touchKeyboard.listOfKeyboardsEnabled)
            _settings.setValue("listOfKeyboardsEnabled", touchKeyboard.listOfKeyboardsEnabled)
        }
    }
}
