import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Font")
        Option {                        
            id: defaultFontOption
            text: qsTr("Default (Slate)")
            value: "defaultFont"
        }
        Option {
            id: arialFontOption
            text: qsTr("Arial")
            value: "arialFont"
        }
        Option {
            id: andaleMonoFontOption
            text: qsTr("Andale Mono")
            value: "andaleMono"
        }
        Option {
            id: comicSansMSFontOption
            text: qsTr("Comic Sans MS")
            value: "comicSansMSFont"
        }
        Option {
            id: courierNewFontOption
            text: qsTr("Courier New")
            value: "courierNewFont"
        }
        Option {
            id: dejaVuSansFontOption
            text: qsTr("DejaVu Sans")
            value: "dejaVuSansFont"
        }
        Option {
            id: dejaVuSansCondensedFontOption
            text: qsTr("DejaVu Sans Condensed")
            value: "dejaVuSansCondensedFont"
        }
        Option {
            id: dejaVuSansMonoFontOption
            text: qsTr("DejaVu Sans Mono")
            value: "dejaVuSansMonoFont"
        }
        Option {
            id: dejaVuSerifFontOption
            text: qsTr("DejaVu Serif")
            value: "dejaVuSerifFont"
        }
        Option {
            id: dejaVuSerifCondensedFontOption
            text: qsTr("DejaVu Serif Condensed")
            value: "dejaVuSerifCondensedFont"
        }
        Option {
            id: georgiaFontOption
            text: qsTr("Georgia")
            value: "georgiaFont"
        }
        Option {
            id: impactFontOption
            text: qsTr("Impact")
            value: "impactFont"
        }
        Option {
            id: mTExtraFontOption
            text: qsTr("MT Extra")
            value: "mTExtraFont"
        }
        Option {
            id: nastaleeqFontOption
            text: qsTr("Nastaleeq")
            value: "nastaleeqFont"
        }
        Option {
            id: nazaninFontOption
            text: qsTr("Nazanin (Do not use with Arabic)")
            value: "nazaninFont"
        }
        Option {
            id: tahomaFontOption
            text: qsTr("Tahoma")
            value: "tahomaFont"
        }
        Option {
            id: timesNewRomanFontOption
            text: qsTr("Times New Roman")
            value: "timesNewRomanFont"
        }
        Option {
            id: trebuchetMSFontOption
            text: qsTr("Trebuchet MS")
            value: "trebuchetMSFont"
        }
        Option {
            id: verdanaFontOption
            text: qsTr("Verdana")
            value: "verdanaFont"
        }
        onSelectedOptionChanged: {
            _settings.setValue("fontUsed", selectedValue)
            touchKeyboard.fontUsed = selectedValue
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("fontUsed", "defaultFont")
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value) {
                dropDown.setSelectedOption(dropDown.at(i))
                return 
            }
        }
    }
}
