import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center

    layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
        
    Container {
        id: firstContainer
        layoutProperties: StackLayoutProperties { spaceQuota: 2 }
    }
    Container {
        id: secondContainer
        layoutProperties: StackLayoutProperties { spaceQuota: 2 }
    }
    Container {
        id: emptyContainer
        layoutProperties: StackLayoutProperties { spaceQuota: 1 }
    }
    onCreationCompleted: {
        for (var i = 0; i < touchKeyboard.listOfKeyboardsSupported.length; i++) {
            emptyCheckBox.source = "EmptyCheckBox.qml"
            var thisCheckBox = emptyCheckBox.createObject()
            thisCheckBox.language = touchKeyboard.listOfKeyboardsSupported[i]
            thisCheckBox.languageEnabled = (touchKeyboard.listOfKeyboardsEnabled.indexOf(touchKeyboard.listOfKeyboardsSupported[i]) >= 0)
            if (i < (touchKeyboard.listOfKeyboardsSupported.length / 2))
                firstContainer.add(thisCheckBox)
            else 
                secondContainer.add(thisCheckBox)
        }
    }
    
    attachedObjects: [
        ComponentDefinition { id: emptyCheckBox }
    ]
}
