import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Letter Size")
        Option {
            id: xsmall
            text: qsTr("XSMALL")
            value: 0.6
        }
        Option {                        
            id: small
            text: qsTr("SMALL")
            value: 0.8
        }
        Option {
            id: normal
            text: qsTr("NORMAL")
            value: 1.0
        }
        Option {
            id: large
            text: qsTr("LARGE")
            value: 1.2
        }
        Option {
            id: xlarge
            text: qsTr("XLARGE")
            value: 1.4
        }
        onSelectedOptionChanged: {
            _settings.setValue("userPreferenceLetterSize", selectedValue)
            touchKeyboard.userPreferenceLetterSize = selectedValue
        }
    }
    
    onCreationCompleted: {
        var thisDropDown = _settings.value("userPreferenceLetterSize", 1)
        for (var i = 0; i < dropDown.count(); i++) {
            console.log("thisDropDown: " + Number(thisDropDown).toFixed(1) + " dropDown.at(i).value: " + dropDown.at(i).value)
            if (Number(thisDropDown).toFixed(1) == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}