import bb.cascades 1.2

Container {
    property bool created: false
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Text Entry Size")
        Option {
            id: xxsmall
            text: qsTr("XXSMALL")
            value: 5
        }
        Option {
            id: xsmall
            text: qsTr("XSMALL")
            value: 6
        }
        Option {                        
            id: small
            text: qsTr("SMALL")
            value: 7
        }
        Option {
            id: normal
            text: qsTr("NORMAL")
            value: 8
        }
        Option {
            id: large
            text: qsTr("LARGE")
            value: 9
        }
        Option {
            id: xlarge
            text: qsTr("XLARGE")
            value: 11
        }
        Option {
            id: xxlarge
            text: qsTr("XXLARGE")
            value: 13
        }
        onSelectedOptionChanged: {
            if (created) {
                _settings.setValue("textAreaFontSize", selectedValue)
                mainPage.textAreaFontSize = selectedValue
            }
            else {
                created = true
            }
        }
    }
    
    onCreationCompleted: {
        var thisDropDown = _settings.value("textAreaFontSize", 8)
        for (var i = 0; i < dropDown.count(); i++) {
            if (Number(thisDropDown) == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
        created = true
    }
}