import bb.cascades 1.2

TextArea {
    property string fontUsed: touchKeyboard.fontUsed
    text: "Sample text to see how font is rendered"
    onFontUsedChanged: {
        if (fontUsed == "defaultFont") {
            textStyle.base = defaultFont.style
        }
        else if (fontUsed == "arialFont") {
            textStyle.base = arialFont.style
        }
        else if (fontUsed == "andaleMonoFont") {
            textStyle.base = andaleMonoFont.style
        }
        else if (fontUsed == "comicSansMSFont") {
            textStyle.base = comicSansMSFont.style
        }
        else if (fontUsed == "courierNewFont") {
            textStyle.base = courierNewFont.style
        }
        else if (fontUsed == "dejaVuSansFont") {
            textStyle.base = dejaVuSansFont.style
        }
        else if (fontUsed == "dejaVuSansCondensedFont") {
            textStyle.base = dejaVuSansCondensedFont.style
        }
        else if (fontUsed == "dejaVuSansMonoFont") {
            textStyle.base = dejaVuSansMonoFont.style
        }
        else if (fontUsed == "dejaVuSerifFont") {
            textStyle.base = dejaVuSerifFont.style
        }
        else if (fontUsed == "dejaVuSerifCondensedFont") {
            textStyle.base = dejaVuSerifCondensedFont.style
        }
        else if (fontUsed == "georgiaFont") {
            textStyle.base = georgiaFont.style
        }
        else if (fontUsed == "impactFont") {
            textStyle.base = impactFont.style
        }
        else if (fontUsed == "mTExtraFont") {
            textStyle.base = mTExtraFont.style
        }
        else if (fontUsed == "nastaleeqFont") {
            textStyle.base = nastaleeqFont.style
        }
        else if (fontUsed == "nazaninFont") {
            textStyle.base = nazaninFont.style
        }
        else if (fontUsed == "tahomaFont") {
            textStyle.base = tahomaFont.style
        }
        else if (fontUsed == "timesNewRomanFont") {
            textStyle.base = timesNewRomanFont.style
        }
        else if (fontUsed == "trebuchetMSFont") {
            textStyle.base = trebuchetMSFont.style
        }
        else if (fontUsed == "verdanaFont") {
            textStyle.base = verdanaFont.style
        }
    }
    attachedObjects: [
        TextStyleDefinition {
            id: defaultFont
            fontFamily: "Slate Pro"
        },
        TextStyleDefinition {
            id: arialFont
            fontFamily: "Arial"
        },
        TextStyleDefinition {
            id: andaleMonoFont
            fontFamily: "Andale Mono"
        },
        TextStyleDefinition {
            id: comicSansMSFont
            fontFamily: "Comic Sans MS"
        },
        TextStyleDefinition {
            id: courierNewFont
            fontFamily: "Courier New"
        },
        TextStyleDefinition {
            id: dejaVuSansFont
            fontFamily: "DejaVu Sans"
        },
        TextStyleDefinition {
            id: dejaVuSansCondensedFont
            fontFamily: "DejaVu Sans Condensed"
        },
        TextStyleDefinition {
            id: dejaVuSansMonoFont
            fontFamily: "DejaVu Sans Mono"
        },
        TextStyleDefinition {
            id: dejaVuSerifFont
            fontFamily: "DejaVu Serif"
        },
        TextStyleDefinition {
            id: dejaVuSerifCondensedFont
            fontFamily: "DejaVu Serif Condensed"
        },
        TextStyleDefinition {
            id: georgiaFont
            fontFamily: "Georgia"
        },
        TextStyleDefinition {
            id: impactFont
            fontFamily: "Impact"
        },
        TextStyleDefinition {
            id: mTExtraFont
            fontFamily: "MT Extra"
        },
        TextStyleDefinition {
            id: nastaleeqFont
            rules: [
                FontFaceRule {
                    source: "asset:///Fonts/Nastaleeq.ttf"
                    fontFamily: "Nastaleeq"
                }
            ]
            fontFamily: "Nastaleeq, sans-serif"
        },
        TextStyleDefinition {
            id: nazaninFont
            rules: [
                FontFaceRule {
                    source: "asset:///Fonts/Nazanin.ttf"
                    fontFamily: "Nazanin"
                }
            ]
            fontFamily: "Nazanin, sans-serif"
        },
        TextStyleDefinition {
            id: tahomaFont
            fontFamily: "Tahoma"
        },
        TextStyleDefinition {
            id: timesNewRomanFont
            fontFamily: "Times New Roman"
        },
        TextStyleDefinition {
            id: trebuchetMSFont
            fontFamily: "Trebuchet MS"
        },
        TextStyleDefinition {
            id: verdanaFont
            fontFamily: "Verdana"
        }
    ]
}
