import bb.cascades 1.2

Container {
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Key Style")
        Option {                        
            id: transparent
            text: qsTr("Transparent")
            value: "TransparentButton"
        }
        Option {
            id: rectangle
            text: qsTr("Rectangle")
            value: "Rectangle"
        }
        Option {
            id: round
            text: qsTr("Rounded Corners")
            value: "Round"
        }
        Option {
            id: corners
            text: qsTr("Corners only")
            value: "Corners"
        }
        Option {
            id: underscore
            text: qsTr("Underscore")
            value: "Underscore"
        }
        onSelectedOptionChanged: {
            _settings.setValue("buttonType", selectedOption.value)
            touchKeyboard.buttonType = selectedOption.value
        }
    }
    onCreationCompleted: {
        if (touchKeyboard.buttonType == "TransparentButton")
            dropDown.setSelectedOption(transparent) 
        else if (touchKeyboard.buttonType == "Rectangle") 
            dropDown.setSelectedOption(rectangle) 
        else if (touchKeyboard.buttonType == "Round") 
            dropDown.setSelectedOption(round) 
        else if (touchKeyboard.buttonType == "Corners") 
            dropDown.setSelectedOption(corners) 
        else if (touchKeyboard.buttonType == "Underscore") 
            dropDown.setSelectedOption(underscore) 
    }
}
